/**
 * @description chunck() 数组分块函数，将一个数组分成几块
 * @param {*} array 数组
 * @param {*} size 数量
 */
export default function chunck(array, size) {
  var result = [];
  for (let i = 0; i < array.length; i++) {
    const element = array[i];
    // 获取每一块的key
    let key = Math.floor(i / size);
    // 如果不存在，
    if (!result[key]) {
      result[key] = [element];
    } else {
      result[key].push(element);
    }
  }
  return result;
}
