/**
 * @description concat()方法用于合并两个或多个数组。此方法不会更改现有数组，而是返回一个新数组
 * @param {*} array
 * @param  {...any} args 多个参数
 */
export default function concat(array, ...args) {
  let arr = [...array];
  for (let i = 0; i < args.length; i++) {
    const element = args[i];
    if (Array.isArray(element)) {
      arr.push(...element);
    } else {
      arr.push(element);
    }
  }
  return arr;
}
