/**
 * @description difference() 数组差集 创建一个具有唯一array值的数组，每个值不包含在其他给定的数组中
 * @param {Array} array 要检查的数组
 * @param {Array} [values] 排除的值
 */
export default function difference(array, values) {
  // 如果排除的值values 不存在，返回原数组
  if (!values || !values.length) return array;
  //  数组过滤，如果排除的值不包含当前值 返回当前值
  const result = array.filter((item) => !values.includes(item));
  return result;
}
