/**
 * @description reduce方法对数组中的每个元素执行一个由您提供的reducer函数(升序执行)，将其结果汇总为单个返回值。
 * @param {*} array
 * @param {*} callback 接受四个参数[accumulator,currentValue,currentIndex]
 * @param {*} initValue
 */
export default function reduce(array, callback, initValue) {
  if (!array.length) {
    throw new Error("Reduce of empty array with no initial value");
  }
  let result = initValue || array[0];
  for (let i = 0; i < array.length; i++) {
    result = callback(result, array[i], i);
  }
  return result;
}
